"use strict";
(function ($) {
    $.view_list_category = function (element, options) {
        let defaults = {
            row_category_template: ""
        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('#example').DataTable();
            $element.find('input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_square-red',
                radioClass: 'iradio_square-red',
                increaseArea: '20%'
            });

        };
        plugin.example_function = function () {
        };
        plugin.init();
    };
    $.fn.view_list_category = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('view_list_category')) {
                let plugin = new $.view_list_category(this, options);
                $(this).data('view_list_category', plugin);
            }
        });
    }
})(jQuery);
